Aller au contenu
Chargement des API keys…

Retrieve a dispute

GET /disputes/{uid}: fetch a single dispute by id.

GEThttps://api.wajub.com/disputes/{uid}
GEThttps://api.wajub.com/disputes/{uid}
Requête
curl https://api.wajub.com/disputes/dsp_hrgUOE225KMKULRQqYvlh \
  -H "Authorization: sk.kZ3qP8mWvL2xR7tB5nY4hC6dF9jS1aG0eU3i…"
Réponse · 200 OK
{
"status": "OK",
"code": 200,
"dispute": {
"id": "dsp_hrgUOE225KMKULRQqYvlh",
"status": "needs_response",
"amount": 5000,
"currency": "XAF",
"reason": "fraudulent",
"payment": "trx_CSUGajfv9xh0XQ5wu2lx",
"due_by": "2026-07-22T10:21:08.000Z",
"created_at": "2026-07-15T10:21:08.000Z"
}
}
idstringfacultatif
Unique dispute identifier (dsp_xxx).
statusenumfacultatif
needs_response, under_review, won, lost, or closed.
reasonstringfacultatif
Reason code provided by the customer or provider.
paymentstringfacultatif
The disputed payment id (trx_xxx).
due_bydatetimefacultatif
Deadline to submit evidence, ISO 8601.

Que pensez-vous de ce contenu ?